kio-recoll (1.32.7-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Updated kio_recoll to work with newer kf5 versions (it seems that 5.96 broke it at least on
    arch).
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 07 Aug 2022 17:42:00 +0200

kio-recoll (1.32.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 05 Jul 2022 09:56:00 +0200

kio-recoll (1.32.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 29 Jun 2022 09:36:00 +0200

kio-recoll (1.32.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 14 Jun 2022 07:51:00 +0200

kio-recoll (1.32.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 15 May 2022 08:07:00 +0200

kio-recoll (1.32.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow
    
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 11 Mar 2022 18:17:00 +0100

kio-recoll (1.31.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow
    
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 20 Dec 2021 09:25:00 +0100

kio-recoll (1.31.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow recoll version
    
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 04 Dec 2021 10:05:00 +0100

kio-recoll (1.31.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow recoll version
    
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 25 Nov 2021 16:30:00 +0100

kio-recoll (1.31.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow recoll version

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 13 Nov 2021 16:30:00 +0200

kio-recoll (1.31.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow recoll version
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 11 Oct 2021 10:55:00 +0200

kio-recoll (1.31.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow recoll version
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 27 Apr 2021 10:19:00 +0100

kio-recoll (1.30.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Follow recoll version
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 12 Apr 2021 15:10:00 +0100

kio-recoll (1.29.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: fix bad background in result table dark mode.
  * ms openxml: process a variety of derived/aux formats as the base ones
    (.pptm etc.)
  * Python module: add method to retrieve the full snippets list.
  * Allow setting a per-handler-type indexing timeout.
  * Small bug fixes.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 13 Mar 2021 11:00:00 +0100

kio-recoll (1.29.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Shortcuts editor
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 09 Mar 2021 10:00:00 +0100

kio-recoll (1.28.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix error in 1.28.3 which broke indexing RTF files with a .doc extension.
  * Allow phrase and proximity searches with multiword synonyms.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 15 Jan 2021 15:00:00 +0100

kio-recoll (1.28.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix build error caused by wasaStringToRcl interface change.

 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 28 Dec 2020 14:22:00 +0100

kio-recoll (1.28.0-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * GUI: add preferences options to hide most GUI elements except the result
    area and the simple search entry.
  * GUI: reorganized menus.
  * GUI: add preference for separate indexing log file.
  * Fix CJK indexing in specific case of encountering numeric after CJK
    punctuation.
  * Use py7zr in preference to pylzma for 7z archive indexing
  * Increase query slice size from 50 to 100 for better performance.
  * Process emacs org-mode files.
  * Fix bug in mail header processing.
  * Python extension: improve the Python Doc object.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 27 Dec 2020 09:59:00 +0100

kio-recoll (1.27.10-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix real-time indexer not working when topdirs was /
  * rclpython: renamed rclpython.py. Use rclexecm. Only colorize for
    preview, not indexing.
  * mimemap: add .xlsm
  * Python module: merge pyrecoll and pyrclextract C extensions into one
    _pyrecoll and create 2 python modules to maintain compat 
  * Fix crash on ARM
  * dark mode: improve visibility of checkable actions
  * pdf annot: guard against possible exception while formatting results
    Index pdf annotations separately under field name annotation. Add
    annot, pdfannot and pa aliases. 

 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 04 Nov 2020 20:00:00 +0100

kio-recoll (1.27.9-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fix bug in result table display.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 04 Oct 2020 20:00:00 +0200

kio-recoll (1.27.8-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * A bug in utf8 truncation could lead to indexing failure by trying to
    add an excessively long file name term.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 03 Oct 2020 15:23:00 +0200

kio-recoll (1.27.7-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Improve result table display speed for big result sets.
  * "underscoreasletter" configuration parameter.
  * Menu entry to switch to dark display from .

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 02 Oct 2020 14:25:00 +0200

kio-recoll (1.27.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Process PDF annotations if the poppler-glib Python bindings are available
  * Fix build error with some compiler versions
  * Fix inconsistent lock file name issue which could result in background
    indexer exit.
  * recollq: new -p option to show snippets lists instead of abstracts with
    -A
  * Fix nonumbers option.

 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 13 Sep 2020 13:29:00 +0200

kio-recoll (1.27.5-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Misc small fixes.
  * Fix recollindex -r not working with relative paths.
  * Fix PDF attachment processing.
  * Fix duplicate detection in some cases.
  * Process text/plain subdocuments (e.g. zip archive members) in the same
    way as top level files (esp: perform paging for big texts).
  * Msword .docx: avoid extracting some non-text data
  * Index Visio documents (.vsdx format only).
  * Epub: index the metadata "subjects" fields.
  * GUI: separate popup menu entries for "open parent" and "open folder".
  * GUI: doc icons were not shown with newer webengine versions.
  * GUI file name search: sort directories first.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 17 Aug 2020 18:18:00 +0200

kio-recoll (1.27.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Misc small fixes. Nothing major, see the git log for details
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 27 Jun 2020 14:29:00 +0200

kio-recoll (1.27.2-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Korean: index the whole words along the split ones.
  * Saved simple searches: also save/restore the active external indexes.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 25 May 2020 09:29:00 +0200

kio-recoll (1.26.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Fixes potential infinite loop in decompression. Other small bug fixes.
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 23 Jan 2020 08:00:00 +0100

kio-recoll (1.26.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Small bug fixes and extensions
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 29 Nov 2019 10:28:00 +0200

kio-recoll (1.25.19-1~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * keep kio in sync

 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 13 Jun 2019 08:41:00 +0200

kio-recoll (1.25.17-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.17
  * Keep kio in sync
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 24 May 2019 08:58:00 +0200

kio-recoll (1.25.12-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.12
  * Keep kio in sync
  
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 11 Apr 2019 15:52:00 +0200

kio-recoll (1.25.11-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.11
  * Keep kio in sync
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 28 Mar 2019 06:14:00 +0100

kio-recoll (1.25.10-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.10
  * Keep kio in sync
  
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 26 Mar 2019 09:26:00 +0100

kio-recoll (1.25.9-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.9
  * Fixes crash in python module. kio not affected, but keep in sync 
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 22 Mar 2019 10:07:00 +0100

kio-recoll (1.25.8-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.8
  * Minor updates
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 21 Mar 2019 14:14:00 +0100

kio-recoll (1.25.4-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.4
  * Fixes a few minor-to-ennoying bugs
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 19 Feb 2019 08:42:00 +0100

kio-recoll (1.25.3-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.25.3.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 15 Feb 2019 08:55:00 +0100

kio-recoll (1.24.1-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * New release 1.24.1.
    
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 14 May 2018 08:55:00 +0100

kio-recoll (1.23.7-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix ennoying bug in dir filtering with upper-case names
    
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 08 Jan 2018 22:18:00 +0100

kio-recoll (1.23.6-1~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Make sure new indexes are created in Chert format, even with Xapian 1.4
    This works around the Glass snippets generation issue (UI freezes).
    
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 08 Dec 2017 15:18:00 +0100

kio-recoll (1.23.5-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Follow main package
  
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 24 Nov 2017 17:11:00 +0100

kio-recoll (1.23.4-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Follow main package
  
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 16 Nov 2017 15:41:00 +0100

kio-recoll (1.23.2-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Fix crash in text splitter
  * Small improvement for Japanese handling
  
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 15 May 2017 12:39:00 +0100

kio-recoll (1.23.1-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Small fixes to kio build

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 28 Mar 2017 08:48:00 +0100

kio-recoll (1.23.0-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
                
  * Misc changes, mostly internal

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 27 Feb 2017 18:53:00 +0100

kio-recoll (1.22.4-0~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Switch to kf5 for appropriate series. Update to 1.22.4 (same as .3)

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 26 Nov 2016 09:46:00 +0100

kio-recoll (1.22.3-0~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * No changes specific to the KIO, just use the 1.22 lib. Update to .3

 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 25 Nov 2016 10:59:00 +0100

kio-recoll (1.22.2-0~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * No changes specific to the KIO, just use the 1.22 lib.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 15 Jun 2016 09:57:00 +0200

kio-recoll (1.21.0-0~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * No changes specific to the KIO, just use the 1.21 lib.

 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 16 Jun 2015 18:21:00 +0200

kio-recoll (1.20.6-0~ppaPPAVERS~SERIES1) SERIES; urgency=low

  * Increase the default maximum number of entries displayed in a directory
    window (can be adjusted with the kio_max_direntries configuration
    variable). 
  * Display entries incrementally instead of sending the whole
    list at once.

 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 25 Apr 2015 14:47:00 +0200

kio-recoll (1.20.1-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to version 1.20.1
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 19 Dec 2014 08:14:00 +0200

kio-recoll (1.19.14p2-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * No changes, build for Ubuntu Utopic
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 06 Dec 2014 08:44:00 +0200

kio-recoll (1.19.12-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.19.12
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 02 Apr 2014 15:50:00 +0200

kio-recoll (1.19.10-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.19.10
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 25 Nov 2013 18:00:00 +0100

kio-recoll (1.19.2-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.19.2
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 13 May 2013 12:09:00 +0100

kio-recoll (1.18.2-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.18.2
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 18 Apr 2013 18:05:00 +0100

kio-recoll (1.18.1-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.18.1
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 05 Nov 2012 13:25:00 +0100

kio-recoll (1.17.0-0~ppaPPAVERS~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.17.0
 -- Jean-Francois Dockes <jf@dockes.org>  Sun, 25 Mar 2012 18:05:00 +0200

kio-recoll (1.16.2-0~ppa1~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.16.2
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 07 Nov 2011 17:57:00 +0200

kio-recoll (1.16.1-0~ppa1~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.16.1
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 28 Sep 2011 15:07:00 +0200

kio-recoll (1.16.0-0~ppa1~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.16.0
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 07 Sep 2011 18:30:00 +0200

kio-recoll (1.15.8-0~ppa1~SERIES1) SERIES; urgency=low
  * Updated package to recoll version 1.15.8
 -- Jean-Francois Dockes <jf@dockes.org>  Mon, 02 May 2011 17:27:00 +0200

kio-recoll (1.15.5-0~ppa1~SERIES1) SERIES; urgency=low
  * Update to recoll version 1.15.5
 -- Jean-Francois Dockes <jf@dockes.org>  Fri, 04 Mar 2011 13:54:00 +0200

kio-recoll (1.15.2-0~ppa1~SERIES1) SERIES; urgency=low
  * Update to recoll version 1.15.2
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 15 Feb 2011 08:43:00 +0200

kio-recoll (1.15.0-0~ppa1~SERIES1) SERIES; urgency=low
  * Update to recoll version 1.15.0
 -- Jean-Francois Dockes <jf@dockes.org>  Wed, 02 Feb 2011 09:48:00 +0200

kio-recoll (1.14.3-0~ppa1~SERIES1) SERIES; urgency=low
  * Update to recoll version 1.14.3
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 25 Nov 2010 10:25:00 +0200

kio-recoll (1.14.2-0~ppa1~SERIES1) SERIES; urgency=low
  * Update to recoll version 1.14.2
 -- Jean-Francois Dockes <jf@dockes.org>  Sat, 25 Sep 2010 09:37:20 +0200

kio-recoll (1.13.01-0~ppa4~SERIES1) SERIES; urgency=low
  * Update to recoll version 1.13.01
 -- Jean-Francois Dockes <jf@dockes.org>  Thu, 07 Jan 2010 11:26:00 +0100

kio-recoll (1.12.3-0~ppa4~jaunty1) jaunty; urgency=low
  * Initial release 
 -- Jean-Francois Dockes <jf@dockes.org>  Tue, 24 Nov 2009 08:55:00 +0100

